EXPERT ROOT - Developing #59

RTelescope cumynsauus
07/02/2017 06:39 PM - Vitaliy Schetinin

Status: OrtkpbiTa Start date: 07/02/2017
Priority: HopmanbHbliii Due date:

Assignee: % Done: 0%
Category: RTelescope Estimated time: 0.00 hour
Target version: v-0.4

Description

PaspaboTatb reoMeTpumio 1 NMPOBECTY CUMYNSILMIO O/ 3KCnepuMeHTa S28

DeTtekTop npeacrasnset ns cebst KObLO KpeMHUs. Pazbutoe Ha YyBCTBUTE/bHBIE CEKTOPbI Kak Mo paavycy, Tak v no yriy ou.
16 nonoc no paauycy n 16 cekTopos Mo yrny gwu.

RTelescope.png

Knacc ERTelescope yxe peanusosaH B er ang akcnepumenTa Li10. B pamkax gaHHowm 3ana4m Hy>XXHO U3MEHUTb €ro reoMeTpuio u
MPOBECTM OTNaXwuBaKoLWmMe CUMYNALNN.

Ctout 06paTnTb BHUMEHME,YTO FreoMeTpus AeTekTopa caenaHa He ¢ noMoLbio NpuMuTBa Tube, a ¢ noMoLbio npumMmuTuBa Sphere(
https://geant4.web.cern.ch/geant4/G4UsersDocuments/UsersGuides/ForApplicationDeveloper/html/Detector/geomSolids.html) 310
CB513aHO € 6arom npw TpaHcnopTe YacTuy Yepes tube, Koraa oH SIBNSETCS HYyBCTBUTENbHLIM 06 bEMOM. Y cekTopa nonoi capepsl
3a4aH 60/bWoi paguyc ons Toro, 4Tobbl OTK/IOHEHNE OT MAOCKOCTU ObINIO HE3HAYUTESBHBIM.

Feometpus:

BHyTpeHHuIn paguyc: 1.6 cm
BrewHuii pagnyc: 4.1 cm
Tonwwura 0.1 cm

HoByto reomeTpmio Heo6x0auMo 0603HaUUTb Kak V2 1 MPOBECTU C HEl CUMynSaUMK NponucaHHble B Makpoce RTelescope_sim.C
https://geant4.web.cern.ch/geant4/G4UsersDocuments/UsersGuides/ForApplicationDeveloper/html/Detector/geomSolids.html

History

#1 - 07/02/2017 06:48 PM - Vitaliy Schetinin

- Assignee changed from Vitaliy Schetinin to Anonymous

#2 - 07/04/2017 07:29 PM - Vitaliy Schetinin

Mo TekyweMy COCTOSHMIO:
1) 910T petekTop paHblue HasbiBancs DSRD. N'ae To 5 3abbin nepenmMeHoBath. 3amMeHn Be3ae B koge aToi nankm DSRD Ha RTelescope.

2) B Makpoce crvMynsiLmm roMeHsii, noxanyncta, reoMeTpumio Ha HOBbIYO BEPCUIO; HACTPOW FreHepaTop Tak, YTobbl OH pa3mMasbiBan HanpaBneHe
noneta HemHoro no teta n ot 0 go 360 no cw.

3) Ceituac B kone ProcessHits ncnonbayoTcs cTaTnyeckne nepeMeHHble. 1o ctapblii noaxo4. Mo HOBOMY 3TV NEPEMeHHbIE cTanu atpubyTamu
knacca. CMOTpu Kak HanucaHo B gokymeHTauum n 'y Muwm B BeamDet. VI nocmoTpu BClo nepenuvcky no cumynsumm BeamDet(
http://er.jinr.ru/develop/issues/56).

#3 - 07/06/2017 08:22 AM - Vitaliy Schetinin

- Assignee changed from Anonymous to Anonymous

#4 - 07/07/2017 07:56 PM - Sergey Belogurov
- File ringCsl.png added
- File CrystCsl.png added

CoBceM 3a6bin, 4TO 32 KPEMHUEBBLIM KOMbLIOM C 3230pOM 0KONo 1 MM cTouT Maccye kpuctannos Csl. M3 Huxe(Bbilwe?)cneayiowmx pUCYHKOB BUAHA
reomeTpus. CI”

#5 - 07/08/2017 12:42 PM - Vitaliy Schetinin

MocMoTpeTb NPUMEP peanvaauun feTekTopa ¢ OByMs akTMBHbIMI 06bEMaMn MoxHO B Beamdet nnu Gadast

#6 - 07/15/2017 01:07 PM - Mikhail Kozlov

B knacce CUMYnALMNN NOYEMY-TO He 3anoMnHaeMm PDG yacTuu, BMECTO HUX Macca. Tak 1 fONXHO 6bITb?

#7 - 07/17/2017 09:58 PM - Mikhail Kozlov

OTOT AeTekTop ceiyac yHacnegosaH He oT ERDetector. Hy>xHo ucnpaesuntb?

#8 - 07/18/2017 07:07 AM - Vitaliy Schetinin

Ja. 9710 npeobpasoBaHHbI O4EHb CTapbIi knace. Ero Hapo npueectu k ctaHaapTHoMy Buay. OT BeamDet B ntore He 6yneT oTaMyaTbes.

#9 - 07/23/2017 04:03 PM - Anonymous

He coBceM noHnMMato kak peanuaoBath Takyto doopmy kpuctanna Csl. OgHumn AddNode He coenatb ?

#10 - 07/23/2017 09:20 PM - Vitaliy Schetinin

Kaxaplii kpuctan MoxHo cobpaTtb 13 AByx npumntueoB TRD(TYT CMOTpeTb napameTpusaumio -
https://geant4.web.cern.ch/geant4/G4UsersDocuments/UsersGuides/ForApplicationDeveloper/html/Detector/geomSolids.html).https://root.cern.ch/do

c/master/classTGeoManager.html TGeoManager->MakeTrd1();

STV NPUMUTKBBI HY>XXHO CNOXUTb C NoMoLbto Bynesckoii onepaunu:https://root.cern.ch/doc/master/classTGeoCompositeShape.html
http://er.jinr.ru/develop/issues/56
#11 - 07/31/2017 12:39 PM - Anonymous

3anun reomeTpuio

#12 - 07/31/2017 01:09 PM - Vitaliy Schetinin

Bbirnaant 3noposo!
S Bnnn Tebe B BETKY BCe n3MeHeHus n3 dev. Ilns Toro, 4tobbl 6610 kKyaa noacmatprsate. OBHOBUCH.
Ha paHHbIi MOMEHT MO CMUYNALMM HYXHO caenatb cnegytolee:

1) Y Hac 6yanet nsa Tuna nonHToB B RTelescope. Te 4To B cuimKoHe U1 Te, 4To B Csl. Hy>XXHO caenTb ABa pasHbix knacca nog Hux [ns atoro
nepeunmerHyi Tekywuii B ERRTelescopeSiPoint. U cosnaii knacc ERRTelescopeCslPoint.

2) Mo knaccy BeamDet/ERBeamDet.cxx MOXHO O0TCneauTb kak paboTaTb B CUMyASLMMW, KOT4A Y HAaC ABa TWMNa YyBCTBUTENbHbIX 06 bEMOB.
a) Hy>xHo 3apernctpupoBatb ABe BETKU MOVHTOB B BbIXOAHOM doaiine
6) Hy>xHo BBECTM ABa YyBCTBUTENbHBIX No6beMa B ChecklfSensetive

B) HyxHo coenatb ABe coyHkumm Trna AddPoint v Bbi3blBaTb Ty, KOTOpPasi COOTBETBYET TUNY YyBCTBUTENbHOIO 06 beMa B KOTOPOM Thl celivac
HaxoaulbCs.

r) Y 1ebs 6binn Sensor 1 Sector ons onvucaHnsa Toro, Kyaa nonana yactuua B cunukoHe. B cnyyae Csl aTo npocTo HoMep kpucTana.

#13 - 07/31/2017 01:33 PM - Sergey Belogurov

YTo4HeHWe no reomeTpumn. Okasanock, YT0 BHEIWHWA paanyc YyBCTBUTENbHOM 06NacT KPEMHUEBOM NNAcTWHbI - 42 MM, a He 41. T.e. 16 aKkTUBHbIX
Korew 3anonHaT pagnycel ot 16 MM 00 42 MM

Kpome TOro, BOKpyr 1 BHyTpY YyBCTBUTENbHOW 06M1acTh €CTb NacuBHbIE KonbLa KpeMHus. CHapyXxun oT paguyca 42um [o pagunyca 50Mm 1
M3HYTpK OT paaunyca 15 MM oo paguyca 16 mm.

#14 - 08/01/2017 03:23 PM - Anonymous

Crenan ABa TUna NOMHTOB U MOMPaBU/ FeOMETPUIO.

#15 - 08/01/2017 03:59 PM - Vitaliy Schetinin

MocmoTpen. ThiBCe NPaBWbHO NOHSA. V1 Npo reoMeTpuio 1 Npo ABa Tuna NouHToB. MOXHO NepexoanTb K OCO3HaHMIO AN XMUTr3aumum
#16 - 09/07/2017 06:53 PM - Vratislav Chudoba

- File c1.gif added
- File RTelescope_sim_test.C added
- File sim.root added
- File show_sim.C added

- Priority changed from Huskwi to HopmansHbivi

MpoBepsiB CUMMYNALMIO, HAKTHYNCS Ha Hexopouyto Belb. OHa NOHSATHA U3 KapTUHKK B npunoxenuto (c1.gif n show_sim.C).

C nomolbto Makpoca RTelescope_sim_test.C B 0iHOM coBbITUM pa3birpuBaloTCs ABE YacTWLbl: NPOTOH ¢ aHepruert 10 MaB 1 anbha ¢ aHeprueit 70
MaB. Buaum, 4To 06e HacTuvubl NonagatoT B pasbiHe MECTA (Kak 1 BbINI0 3aN10XEHO B CUMMYNISILK), BUAOWM AaXe, YTO Y HUX ecTb pasHbie ID (nag 2
n 3). Korpa cTpoum cymapHoe BblAeNeHe 3Hepruv B NepBoM Teneckone (MPOTOH [onXeH octaHoBMTbeA B R1Si2, anbdpa B R1Csl) Buanm aHepruto
okono 80 MaB (nag 4). 51 66l oxxumaan ysuaeTtb To4HO 80 MaB Tak kak 70+10=80. Ho ecnu nenaem ot6op no copTy YacTuLpl, BUAUM HU3NHECKU
HenpaBW/bHYO KapTuHKY. B nage 5 nonxHbl BuaeTb 10 MaB (HO OH nycToii), a B nage 6 LONXHO 6biTb 70 MaB.

Mpegnonarato, 4To npobnema MoXeT ObiTb CBS3aHHA C (He)OBHYNeHMEM MHAPOPMALIMN 3aNUTOM B MOVHTLI BO BPEMS UTEPALIU MO OQHOMY COBbITUM.
Wnu npeanonaranocb, 4T0 B 0AHOM COBLITUIO MOXET BbiTb TOIBKO OAHA YacTuLa, a 3TO HeMpaBubHOE NPEANOooXeHe. TakXXe HanpbiraeT, 4To
Ha 10 cobbITUi NO 2 YacTULaM BUAUM BCEro nuib 20 NOUHTOB. HaBEPHO CNULWKOM BbICOKMUE MOPOrv LS POXAEHUS BTOPUYHbIX HacTuL.

#17 - 09/07/2017 07:43 PM - Sergey Belogurov

4 He nonyuun maina no 3ameyaHuio Bpatucnasa. Moatomy 3anes n nobasun watchers. Cm, noxanyiicta, npeablayLwmnin KOMMEHT.

#18 - 09/08/2017 07:35 AM - Vitaliy Schetinin

Oner, NyTaHuLa cKopee BCEro M3-3a TOro kak BBELEHbl YyBCTBUTENbHbIE 06 beMbI. Y Tebsi ceryac YyBCTBMTENbHBIM HA3BaHO BCE, YTO B CBOEM
VIMEHW MMEeeT MOACTPOKU: sensor,sector,crystall. Ho Takne npedpukcsl B reoMeTpun v3 UMEIOT He TOMbKO MPELNoNoraeMblie YyBCTBUTENbHbIE
06BbeMbl, HO U HEKOTOPbIE MaTePUHCKUE K HAM. OTO MOXeT HenpeackadyeMo oTpaxarbcs Ha noeeneHun metoaa ProcessHits. [ns Havyana caenait
6onee yeTkne oT6OP YyBCTBMTENBHBIX 06bEMOB. K npumepy no6aBb UM B UMs postfix sensitive.

#19 - 09/12/2017 08:30 PM - Anonymous

9l noMeHs N Ha3BaHWs YyBCTBUTENbHbLIX 06 EMOB B reoMeTpuu U ProcessHits, HO owmbka B CUMynsiuum ocTaéTcs.

#20 - 09/15/2017 09:41 AM - Vitaliy Schetinin

Vratislav Chudoba wrote:
MpoBepsiB CUMMYNSLMIO, HAKTHYNCA Ha HEXopoLWyto Belpb. OHa NOHATHA U3 KapTUHKK B npunoxenuto (c1.gif u show_sim.C).

C nomolybto Makpoca RTelescope_sim_test.C B 0ilHOM cobbITUM pa3birpuBaloTCs ABE YacTuLbl: NPOTOH ¢ 3Hepruelt 10 MaB 1 anbcha ¢
aHeprueit 70 MaB. Buaum, 4to 06e 4acTvubl MonagatoT B pasbiHe MECTa (Kak 1 6blo 3aN0XEHO B CUMMYNISILUK), BUAWM AaXe, YTO Y HUX eCTb
pasHble ID (nag 2 n 3). Korga cTporm cyMapHOe BblAENEHWNE SHEPTUMU B MEPBOM TENECKONe (MPOTOH OOJNIXEH ocTaHoBUTbCA B R1Si2, anbdha B
R1Csl) Buamm sHepruto okono 80 MaB (nag 4). A 66l oxunan ysnaetb To4Ho 80 MaB tak kak 70+10=80. Ho ecnv nenaem ot6op no copty
yacTuubl, BUOUM CPU3NYECKM HEMPABUbHYIO KApTUHKY. B nage 5 nonxHel Buoetb 10 MaB (HO OH nycToii), a B nage 6 LonxHo 6biTb 70 M3aB.

Mpegnnonarato, 4To npobnema MoXeT ObITb CBS3aHHA C (He)OBHYNEHMEM MHCPOPMALIMN 3aIUTOM B NMOVHTLI BO BPEMS UTEPALIN MO OQHOMY
coBbiTuK. Mnu npefnonaranock, YTO B OAHOM COObITMIO MOXET ObiTb TOMbKO OfHA YacTULa, a 9TO HEMPaBnIbHOE NpeanonoxexHue. Takxe

HanpbiraeT, 4TO HA 10 cobbiTHil NO 2 YacTvuam BUAMM Bcero nuwb 20 MOVHTOB. HaBepHo CNTNWKOM BbICOKME NOPOrn Ans poXneHuns BTOPUHHbIX
vacTtuu.

Bpatucnas:
1) B nage 5 Huyero HeT, notomy 4T0 B RTelescope1CslPoint.fELoss npu RTelescope1CsIPoint.fPID meHbwe 3000 Huyero HeT. MNpoToH ocTancs B
nepBbiX ABYX KpeMHusix. Tak pabotaet Draw B cnyyae xpaHeHus B BeTkax TClonesArray. OH CTPOUT TOMbKO Te entry B KOTOPbIX Size Kax Ao
nepeMeHHoi Draw npu npuMeHeHU ycnosms 6onblue Hyns.

2) Ha eventDisplay s BuXy, 4T0 anbga npowmna Becb setup HackBo3b. OTO 06BSACHIET UCTOPMIO C WECTLIM NanoM

#21 - 09/15/2017 04:18 PM - Vitaliy Schetinin

Mocne kommeHTapusa ot Cepresi ['eHHanuesmMya o0 TOM, 4TO €CNW MOCHUTATb pyKamu, TO anbda LOSIXHa 0CTaHoBMTbCS B nepsoM Csl, nocmoTpen
ewe pas. Ml ysmgen:

FairlonGenerator *ionGen = new FairlonGenerator(Z, A, Q, 1, 0., 0., momentumAlpha, xA, yA, zA);

MoTom nocmoTpen TyT: http:/fairrootgroup.github.io/FairRoot/d9/dd3/classFairlonGenerator.html

W ysugen:

px,py,pzMomentum components [GeV] per nucleon!

MomeHsan Ha:

FairlonGenerator *ionGen = new FairlonGenerator(Z, A, Q, 1, 0., 0., momentumAlpha/4, XA, yA, zA);

W anbdha octaHosmnack B nepsom Csl

#22 - 09/19/2017 08:16 AM - Vitaliy Schetinin
- File c1.png added
- File show_sim.C added

Ewe pa3 nposepwn a1y 3apavy. Hawen Hotaumio anst Draw, 4To6bl pvcoBaTh CyMMbl FCTOrPaMM:
tr->Draw("Sum$(RTelescope1Si1Point.fELoss)+Sum$(RTelescope1Si2Point.fELoss)+Sum$(RTelescope1CslPoint.fELosS)");
MocTpoun KapTMHKKM KOoTopble cTpoun Bpatucnas. Ha HUX Tenepb BCe BEPHO:

1) Cymma 0eno3nToB 3HEeprum 4acTuLibl KOTopas nNpoluna Tonbko KpemHuu: 9.967 MaB

2) Cymma neno3nToB YacTuubl KoTopas npowna ewe un Csl: 69.937 MaB

3) Cymma Bcex 0eno3nToB B NEPBbIX KPEMHUSAX 1 Teneckone: 79.34 MaB
http://fairrootgroup.github.io/FairRoot/d9/dd3/classFairIonGenerator.html
